# encoding: utf-8
require 'logstash/devutils/rspec/spec_helper'
require 'logstash/outputs/stackify'

def logger_for(plugin)
  plugin.instance_variable_get('@logger')
end

describe 'outputs/stackify' do
  let(:config) {{'key' => 'abcdef123456'}}

  let(:output) do
    LogStash::Outputs::Stackify.new(config).tap do |output|
      output.register
    end
  end

  let(:event) do
    LogStash::Event.new(
        'message' => 'fantastic log entry',
        'source' => 'someapp',
        'type' => 'nginx',
        '@timestamp' => LogStash::Timestamp.now)
  end

  context 'when initializing' do
    subject {LogStash::Outputs::Stackify.new(config)}

    it 'should register' do
      expect {subject.register}.to_not raise_error
    end

    it 'should have default config values' do
      expect(subject.default_env_name).to eq('Production')
      expect(subject.default_app_name).to eq('Logstash')
      expect(subject.message_field).to eq('message')
    end
  end

end
